net.sf.jasperreports.web.util

## Class RequirejsConfigContributorSwitchDecorator

- java.lang.Object
- - net.sf.jasperreports.web.util.RequirejsConfigContributorSwitchDecorator

- All Implemented Interfaces:
    RequirejsConfigContributor

      public class RequirejsConfigContributorSwitchDecorator
      extends java.lang.Object
      implements RequirejsConfigContributor

  Version:
    $Id: RequirejsConfigContributorSwitchDecorator.java 6858 2014-01-31 14:46:02Z lucianc $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RequirejsConfigContributorSwitchDecorator()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `contribute(WebRequestContext context, com.fasterxml.jackson.databind.node.ObjectNode config)`
    `RequirejsConfigContributor` | `getContributor()`
    `java.lang.String` | `getPropertyName()`
    `boolean` | `isDefaultEnabled()`
    `void` | `setContributor(RequirejsConfigContributor contributor)`
    `void` | `setDefaultEnabled(boolean defaultEnabled)`
    `void` | `setPropertyName(java.lang.String propertyName)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RequirejsConfigContributorSwitchDecorator

          public RequirejsConfigContributorSwitchDecorator()

  - ### Method Detail

    - #### contribute

          public void contribute(WebRequestContext context,
                        com.fasterxml.jackson.databind.node.ObjectNode config)

      Specified by:
        `contribute` in interface `RequirejsConfigContributor`

    - #### getPropertyName

          public java.lang.String getPropertyName()

    - #### setPropertyName

          public void setPropertyName(java.lang.String propertyName)

    - #### getContributor

          public RequirejsConfigContributor getContributor()

    - #### setContributor

          public void setContributor(RequirejsConfigContributor contributor)

    - #### isDefaultEnabled

          public boolean isDefaultEnabled()

    - #### setDefaultEnabled

          public void setDefaultEnabled(boolean defaultEnabled)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com